Download it now!
Bug 89293 - Unordered lists incorrectly displayed in RTF
Summary: Unordered lists incorrectly displayed in RTF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2015-02-10 18:09 UTC by Renato Silva
Modified: 2019-12-03 14:32 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Text pasted from Sticky Notes (6.03 KB, application/msword)
2015-02-10 18:09 UTC, Renato Silva
Details
RTF contents (584 bytes, application/rtf)
2015-02-10 22:59 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Silva 2015-02-10 18:09:07 UTC
Created attachment 113296 [details]
Text pasted from Sticky Notes

LibreOffice 4.4 shows unordered lists from some RTF documents as something similar to ordered lists. This is reproducible in Windows for example by either:

1. Copying and pasting from Sticky Notes.
2. Extracting the RTF documents within StickyNotes.snt.
Comment 1 Urmas 2015-02-10 22:59:47 UTC
Created attachment 113299 [details]
RTF contents

Confirmed.
Comment 2 tommy27 2016-04-16 07:26:34 UTC Comment hidden (obsolete)
Comment 3 Renato Silva 2016-04-16 20:00:41 UTC
Still reproducible in 5.1.2.2, Windows 10 64-bit.
Comment 4 QA Administrators 2017-05-22 13:22:39 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:32:00 UTC
Dear Renato Silva,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug